import { Network, amount } from "@wormhole-foundation/sdk-base";
import { ChainAddress, ChainContext, TokenId } from "@wormhole-foundation/sdk-definitions";
import { TransferQuote } from "../types";
import { Wormhole } from "../wormhole";
import { TokenDetails } from "./token";
import { Quote } from "./types";
export declare class RouteTransferRequest<N extends Network> {
    from: ChainAddress;
    to: ChainAddress;
    source: TokenDetails;
    destination: TokenDetails;
    fromChain: ChainContext<N>;
    toChain: ChainContext<N>;
    private constructor();
    parseAmount(amt: string): amount.Amount;
    amountFromBaseUnits(amt: bigint): amount.Amount;
    displayQuote(quote: TransferQuote): Promise<Quote>;
    static create<N extends Network>(wh: Wormhole<N>, params: {
        from: ChainAddress;
        to: ChainAddress;
        source: TokenId;
        destination: TokenId;
    }, fromChain?: ChainContext<N>, toChain?: ChainContext<N>): Promise<RouteTransferRequest<N>>;
}
//# sourceMappingURL=request.d.ts.map